#!/bin/sh
#
# Cellular data counter CUD script
#
# Copyright (C) 2009 Nokia. All rights reserved.
#
# Author: Aapo Makela <aapo.makela@nokia.com>
#

GCONF_DIRECTORY="/system/osso/connectivity/network_type/GPRS"

# Unset values
gconftool-2 --unset $GCONF_DIRECTORY/gprs_rx_bytes
gconftool-2 --unset $GCONF_DIRECTORY/gprs_tx_bytes
gconftool-2 --unset $GCONF_DIRECTORY/gprs_rx_adjustment
gconftool-2 --unset $GCONF_DIRECTORY/gprs_tx_adjustment

# Set reset time
gconftool-2 --set --type string $GCONF_DIRECTORY/gprs_reset_time "`date +%s`"
