#!/bin/sh

#DBG=echo
DBG=

IF="$1"
IP="$2"
PDNS="$3"
SDNS="$4"

# Create resolv.conf to /tmp

if [ -n "$PDNS" ]; then
    # $DBG /bin/echo "nameserver $PDNS" > /tmp/resolv.conf.$IF
    $DBG /bin/echo "nameserver $PDNS" > /tmp/resolv.conf.gprs
    if [ -n "$SDNS" ]; then
        # $DBG /bin/echo "nameserver $SDNS" >> /tmp/resolv.conf.$IF
        $DBG /bin/echo "nameserver $SDNS" >> /tmp/resolv.conf.gprs
    fi
    # Clear dnsmasq cache after getting new nameservers
    kill -SIGHUP `pidof dnsmasq`
fi

$DBG /sbin/ifconfig $IF $IP up

$DBG route add default dev $IF

